/****************************************************************************
 *
 * Filename:    PS3000.vh
 * Copyright:   Pico Technology Limited 2002-2003
 * Author:      MAS
 * Description:
 *
 * This header defines the interface to driver routines for the PICO PS3000
 * range of products.
 *
 * History:
 *  01 Jul 03 MAS Created
 *
 *
 ****************************************************************************/

short __stdcall ps3000_open_unit ();

short __stdcall ps3000_set_unit ( short handle );

short __stdcall ps3000_get_unit_info (short handle, char *string, short string_length, short line );

void __stdcall ps3000_close_unit ( short handle );

short __stdcall ps3000_set_channel ( short handle,
                                     short channel,
  		                     short enabled,
                                     short dc,
                                     short range );

short __stdcall ps3000_get_timebase ( short handle,
                                     short  timebase,
                                     long   no_of_samples,
                                     long * time_interval,
                                     short* time_units,
                                     short  oversample,
                                     long * max_samples);

long __stdcall ps3000_set_siggen (short handle,
                                  short wave_type,
                                  long start_frequency,
                                  long stop_frequency,
                                  short increment,
                                  long dwell_time,
                                  char* repeat,
                                  char* dual_slope);

long __stdcall ps3000_set_ets ( short handle,
                                int mode,
                                short ets_cycles,
                                short ets_interleave );

short __stdcall ps3000_set_trigger ( short handle,
                                    int	source,
                                    long threshold,
                                    int direction,
                                    short delay,
                                    short auto_trigger_ms);

short __stdcall ps3000_run_block ( short handle,
                                  long no_of_values,
                                  short timebase,
                                  short oversample,
                                  long *time_indisposed_ms);

short __stdcall ps3000_run_streaming ( short handle,
                                       short sample_interval_ms,
				       long max_samples,					                                            short windowed);

short __stdcall ps3000_ready ( short handle );

void __stdcall ps3000_stop ( short handle );

long __stdcall ps3000_get_values ( short handle,
                                   short * buffer_a,
		                   short * buffer_b,
				   short * buffer_c,
				   short * buffer_d,
				   short * overflow,
                                   long no_of_values);

long __stdcall ps3000_get_values_and_times ( short handle,
                                             long  * times,
	                                     short * buffer_a,							 	             short * buffer_b,
					     short * buffer_c,
					     short * buffer_d,
                                             short * overflow,
                                             short time_units,
                                             long no_of_values);


short __stdcall ps3000_sleep ( short handle );
